public class Baum
{
    private Rechteck stamm;
    private Kreis krone;
   
    public Baum(int xlinksoben, int ylinksoben, int breite, int hoehe)
    {
        stamm = new Rechteck(xlinksoben, ylinksoben, breite, hoehe, 0);
        krone = new Kreis (xlinksoben + breite/2, ylinksoben - 4*breite, (int) 2.5*breite, 2);
    }

    public int gibXStartStamm()
    {
        return stamm.gibXStart();
    }
    
    public int gibYStartStamm()
    {
        return stamm.gibYStart();
    }
    
    public int gibBreiteStamm()
    {
        return stamm.gibBreite();
    }
    
    public int gibHoeheStamm()
    {
        return stamm.gibHoehe();
    }
    
    public int gibFarbnrStamm()
    {
        return stamm.gibFarbnr();
    }
    
    public int gibXMitteKrone()
    {
        return krone.gibXMitte();
    }
    
    public int gibYMitteKrone()
    {
        return krone.gibYMitte();
    }
    
    public int gibRadiusKrone()
    {
        return krone.gibRadius();
    }
            
    public int gibFarbnrKrone()
    {
        return krone.gibFarbnr();
    }
}
